Skip to main content
GET
/
actions
/
{org}
/
{action_number}
Get action
curl --request GET \
  --url https://app.kosli.com/api/v2/actions/{org}/{action_number} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "type": "<string>",
  "number": 123,
  "targets": [
    {}
  ],
  "triggers": [
    "<string>"
  ],
  "created_by": "<string>",
  "is_created_from_slack_app": true,
  "last_modified_at": 123,
  "is_failing": true,
  "last_success_timestamp": 123,
  "last_failure_timestamp": 123,
  "created_at": 123,
  "flows": [
    "<string>"
  ],
  "environments": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action_number
integer
required
org
string
required

Response

200 - application/json

Successful Response

name
string
required

The name of the action

type
string
required

The type of the action

number
integer
required

The ID number of the action

targets
Targets · object[]
required

The targets of the action

triggers
string[]
required

The triggers of the action

created_by
string
required

The user who created the action

is_created_from_slack_app
boolean
required

Whether or not the action was created from a slack app

last_modified_at
number
required

The time the action was last modified

is_failing
boolean | null

Whether the action is currently failing to send notifications or not

last_success_timestamp
number | null

The last timestamp when the action successfully sent a notification

last_failure_timestamp
number | null

The last timestamp when the action failed to send notification

created_at
number | null

The time the action was created

flows
string[] | null

The flows the action is for

environments
string[] | null

The environments the action is for

Last modified on April 9, 2026